## com.bbn.openmap.util.propertyEditor
Class YesNoPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
              com.bbn.openmap.util.propertyEditor.YesNoPropertyEditor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener, java.awt.event.FocusListener, java.beans.PropertyEditor

public class YesNoPropertyEditor
extends TrueFalsePropertyEditor

A PropertyEditor that displays a Yes/No option. The widget returns true or false as a string when queried.

Field Summary

Fields inherited from class com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
`buttonGroup, falseButton, FalseString, option, trueButton, TrueString, useAltCommandStrings`

Constructor Summary
`YesNoPropertyEditor()`

Methods inherited from class com.bbn.openmap.util.propertyEditor.TrueFalsePropertyEditor
`actionPerformed, focusGained, focusLost, getAsText, getCustomEditor, getUseAltCommandStrings, setSelected, setUseAltCommandStrings, setValue, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YesNoPropertyEditor

    public YesNoPropertyEditor()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details